%define name	ami
%define ver	1.0.11
%define rel	9
%define hwdver  19991115
%define gnome_ami 1

Summary: Ami- a Korean Imput Method System
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
URL: http://www.kr.freebsd.org/~hwang/ami/index.html

Source: http://www.kr.freebsd.org/~hwang/ami/ami-%{ver}.tar.gz
Source1: http://www.kr.freebsd.org/~hwang/ami/hanja.dic.gz
Source2: http://adam.kaist.ac.kr/~cwryu/archive/misc/hanja-words-%{hwdver}.tar.gz
Source3: ami-1.0.7-engpix.tar.gz
Patch0: ami-1.0.6-nostatus.patch

Group: User Interface/X
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: gnome-libs-devel,gdk-pixbuf-devel

%changelog
* Fri Mar 15 2002 David Joo <djoo@redhat.com>
- RPMLINT error fix

* Fri Mar 15 2002 David Joo <djoo@redhat.com>
- Tidying up spec file

* Thu Mar 14 2002 David Joo <djoo@redhat.com>
- Bug fix for #59186

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Rebuilt for Hampton

* Mon Jul 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix BuildPrereq line. (#49357)

* Fri Jun 29 2001 Yukihiro Nakai <ynakai@redhat.com>
- changed the rquirements
- Delete Korean description (should be in specspo.)

* Thu Jun 28 2001 Tim Powers <timp@redhat.com>
- chenged the reuirements to be build reuires

* Mon Jun 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.0.11
- Add Requires macro to depend

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- fixed the bad/non existing group for the ami-gnome package

* Wed Jan 03 2001 Yukihiro Nakai <ynakai@redhat.com>
- Apply fix from KANG SHIN-SUK
- Add gnome_ami macro
- Add gtk themes for ami_applet
- Add no status patch

* Tue Dec 19 2000 Yukihiro Nakai <ynakai@redhat.com>
- Group fix.

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.0.8

* Sun Dec 02 2000 Yukihiro Nakai <ynakai@redhat.com>
- Get .spec from the Ami official site.
- Some fixes for 1.0.7.1

* Mon Sep 27 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- some update from sio4@linuxkorea.co.kr

* Mon Sep  13 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- update some description.
- make symbolic link of wmami for Windowmaker docking

* Thu Sep  9 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- change name from amirc to gtkrc
- remove Summary(ko). rpm doesn't seem to be friendly with hangul yet.

* Mon Aug  9 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- rename applet package to gnome 
- change the location of ami to /usr/bin instead of /usr/X11R6/bin
- delete hanja.dic from rpm. That will be distributed in the separate package.

* Thu Aug  5 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- specify homepage

* Mon Aug  2 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- sync with new version
- remove obsolete patches
- install hanja-hwp2ami

* Mon Aug  2 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- fix RPM group.
- add some patch(default keyboard is 2 bulsik, README mis-spell).
- use --prefix=/usr option and remove gnome option for KDE users.
- move applet mode binary to individual package(ami-applet) for gnome users.
  split another package for data(hanja.dic)?
- added some entries on SPEC for korean users.

* Mon Aug  2 1999 HyunChul Kim, <mindgame@postech.ac.kr>
- initial package

%description
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
Gnome applet mode binary is available from the separate packages

%if %{gnome_ami}
%package gnome
Summary: Korean IMS AMI, GNOME Applet mode
Group: Applications/Communications
BuildRequires: gnome-core-devel gdk-pixbuf-devel

%description gnome
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
this package contains gnome applet mode binary of AMI

%endif
%prep
%setup -n ami-%{ver} -a 2 -a 3
%patch0 -p1 -b .nostat

%build
%if %{gnome_ami}
%configure --with-hangul-keyboard=2 --enable-gnome-applet
make
cp src/ami src/ami_applet
make clean
%endif

%configure --with-hangul-keyboard=2
make
make -C hanjadic
make -C hanja-words-%{hwdver}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
%if %{gnome_ami}
install -s -m 755 src/ami_applet ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/CORBA/servers
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applets/Utility
install -m 644 ami.desktop ${RPM_BUILD_ROOT}%{_datadir}/applets/Utility
install -m 644 ami.gnorba ${RPM_BUILD_ROOT}/etc/CORBA/servers
%endif
(cd $RPM_BUILD_ROOT%{_bindir}; ln -sf ami wmami)
install -s -m 755 hanjadic/hanja-hwp2ami $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 src/ami $RPM_BUILD_ROOT%{_bindir}
for i in pix/*; do
    mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/ami/$i
    install -m 644 $i/* ${RPM_BUILD_ROOT}%{_datadir}/ami/$i
done
install -m 644 gtkrc $RPM_BUILD_ROOT%{_datadir}/ami
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
install -m 644 ami.kdelnk $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
install -m 644 hanja-words-%{hwdver}/output/ami.dic \
    ${RPM_BUILD_ROOT}%{_datadir}/ami/cwryu.dic
gzip -dc %{SOURCE1} > ${RPM_BUILD_ROOT}%{_datadir}/ami/default.dic
(cd ${RPM_BUILD_ROOT}%{_datadir}/ami; ln -sf cwryu.dic hanja.dic)

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/ami
%{_bindir}/wmami
%{_bindir}/hanja-hwp2ami
%{_datadir}/ami
%{_datadir}/applnk/Utilities/ami.kdelnk
%doc README COPYING ChangeLog AUTHORS THANKS

%if %{gnome_ami}
%files gnome
%defattr(-,root,root)
%{_bindir}/ami_applet
%{_datadir}/applets/Utility/ami.desktop
/etc/CORBA/servers/ami.gnorba
%endif
